> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paayoor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Initier Déboursement

> Cet endpoint permet d'initier un déboursement

### Header

<ParamField header="api-key" type="string" required />

<ParamField header="secret-key" type="string" required />

### Body

<ParamField body="amount" type="number" required />

<ParamField body="channel" type="string" required />

<ParamField body="country" type="string" required />

<ParamField body="customer" type="object" required>
  <Expandable title="Content">
    <ParamField body="fullName" type="string" />

    <ParamField body="phoneNumber" type="string" required />

    <ParamField body="email" type="string" />
  </Expandable>
</ParamField>

<ParamField body="merchantReference" type="string" required />

<ParamField body="pendingUrl" type="string" />

<ParamField body="succeededUrl" type="string" />

<ParamField body="failedUrl" type="string" />

<ParamField body="canceledUrl" type="string" />

<ParamField body="errorUrl" type="string" />

<ParamField body="callbackUrl" type="string" required />

### Response

<ResponseField name="success" type="boolean" />

<ResponseField name="statusCode" type="number" />

<ResponseField name="message" type="string" />

<ResponseField name="data" type="object">
  <Expandable title="Content">
    <ResponseField name="disbursement" type="object">
      <Expandable title="Content">
        <ResponseField name="operation" type="string" />

        <ResponseField name="token" type="string" />

        <ResponseField name="status" type="string" />

        <ResponseField name="redirectUrl" type="string" />

        <ResponseField name="amount" type="number" />

        <ResponseField name="pricing" type="object">
          <Expandable title="Content">
            <ResponseField name="percentageFee" type="number" />

            <ResponseField name="additionalFee" type="number" />

            <ResponseField name="feesAmount" type="number" />

            <ResponseField name="supportedByAccount" type="bollean" />
          </Expandable>
        </ResponseField>

        <ResponseField name="cashAmount" type="number" />

        <ResponseField name="transactionAmount" type="number" />

        <ResponseField name="customer" type="object">
          <Expandable title="Content">
            <ResponseField name="fullName" type="string" />

            <ResponseField name="phoneNumber" type="string" />

            <ResponseField name="email" type="string" />
          </Expandable>
        </ResponseField>

        <ResponseField name="merchantReference" type="string" />

        <ResponseField name="initialDate" type="date" />
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request POST 'https://api.checkout.paayoor.com/api/v1/disbursement' \
  --header 'api-key: 75gJfowm010du0Nw2vwGZ150OoxhWJyz7vP0jM8Je6XFhtz0fk' \
  --header 'secret-key: 7cJofndFd5I5jMtICp6FFOGiTudpQwn661OZVTT7w63npl7lJ1' \
  --data '{
    "amount": "",
    "channel": "",
    "country": "",
    "customer": {
      "fullName": "",
      "phoneNumber": "",
      "email": ""
    },
    "merchantReference": "",
    "pendingUrl": "",
    "succeededUrl": "",
    "failedUrl": "",
    "canceledUrl": "",
    "errorUrl": "",
    "callbackUrl": ""
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "statusCode": 200,
    "message": "Disbursement !",
    "data": {
      "disbursement": {
        "operation": "disbursement",
        "token": "u0smo-xg3pq-ab4un-zjcjo-f0rlm",
        "status": "succeeded",
        "amount": 1000,
        "pricing": {
          "percentageFee": 1.8,
          "additionalFee": 100,
          "feesAmount": 120,
          "supportedByAccount": true
        },
        "cashAmount": 1000,
        "transactionAmount": 1120,
        "customer": {
          "fullName": "Mamadou GAYE",
          "phoneNumber": "778737478",
          "email": "gayemama9@gmail.com"
        },
        "merchantReference": "ifkjhiouefjeifjei",
        "initiationDate": "2023-09-20T17:30:38.000000Z"
      }
    }
  }
  ```
</ResponseExample>
